# class Bundler::CLI::Cache

### Attributes

options[R]

### Public Class Methods

new(options) click to toggle source

    # File lib/bundler/cli/cache.rb, line 6
    def initialize(options)
      @options = options
    end

### Public Instance Methods

run() click to toggle source

    # File lib/bundler/cli/cache.rb, line 10
    def run
      Bundler.definition.validate_runtime!
      Bundler.definition.resolve_with_cache!
      setup_cache_all
      Bundler.settings.set_command_option_if_given :cache_all_platforms, options["all-platforms"]
      Bundler.load.cache
      Bundler.settings.set_command_option_if_given :no_prune, options["no-prune"]
      Bundler.load.lock
    rescue GemNotFound => e
      Bundler.ui.error(e.message)
      Bundler.ui.warn "Run `bundle install` to install missing gems."
      exit 1
    end

### Private Instance Methods

setup_cache_all() click to toggle source

    # File lib/bundler/cli/cache.rb, line 26
    def setup_cache_all
      Bundler.settings.set_command_option_if_given :cache_all, options[:all]

      if Bundler.definition.has_local_dependencies? && !Bundler.feature_flag.cache_all?
        Bundler.ui.warn "Your Gemfile contains path and git dependencies. If you want "    \
          "to package them as well, please pass the --all flag. This will be the default " \
          "on Bundler 2.0."
      end
    end